%{?scl:%scl_package wsil4j}
%{!?scl:%global pkg_name %{name}}
%{?java_common_find_provides_and_requires}

%global baserelease 1

Name:		%{?scl_prefix}wsil4j
Version:	1.0
Release:	12.%{baserelease}%{?dist}
Summary:	Web Services Inspection Language for Java API

Group:		Development/Libraries
License:	ASL 1.1
URL:		http://svn.apache.org/repos/asf/webservices/archive/wsil4j/

# svn co http://svn.apache.org/repos/asf/webservices/archive/wsil4j/trunk/java/ wsil4j-1.0
# tar -cJf wsil4j-1.0.tar.xz wsil4j-1.0
Source0:	%{pkg_name}-%{version}.tar.xz
Source1:	%{pkg_name}-MANIFEST.MF 
Source2:	%{pkg_name}-%{version}.pom
BuildArch:	noarch

BuildRequires:	zip
BuildRequires:	%{?scl_prefix_java_common}ant
BuildRequires:	%{?scl_prefix}uddi4j
BuildRequires:	%{?scl_prefix}wsdl4j

BuildRequires:	%{?scl_prefix_java_common}jpackage-utils

Requires:	%{?scl_prefix}uddi4j
Requires:	%{?scl_prefix}wsdl4j

Requires:	%{?scl_prefix_java_common}jpackage-utils

%description
The Web Services Inspection Language (WS-Inspection) provides a distributed Web
service discovery method, by specifying how to inspect a web site for available
Web services. The WS-Inspection specification defines the locations on a Web
site where you could look for Web service descriptions.

%package javadoc
Summary:	Javadocs for %{pkg_name}
Group:		Documentation
Requires:	%{?scl_prefix_java_common}jpackage-utils

%description javadoc
This package contains the API documentation for %{pkg_name}.

%prep
%{?scl:scl enable %{scl_maven} %{scl} - << "EOF"}
set -e -x
%setup -n %{pkg_name}-%{version} -q

find -name '*.class' -exec rm -f '{}' \;
find -name '*.jar' -exec rm -f '{}' \;

ln -s %{_javadir}/uddi4j.jar
ln -s %{_javadir}/wsdl4j.jar
%{?scl:EOF}


%build
%{?scl:scl enable %{scl_maven} %{scl} - << "EOF"}
set -e -x
ant -lib ./ compile javadocs
%{?scl:EOF}


%install
%{?scl:scl enable %{scl_maven} %{scl} - << "EOF"}
set -e -x
# inject OSGi manifest
mkdir -p META-INF
cp -p %{SOURCE1} META-INF/MANIFEST.MF
touch META-INF/MANIFEST.MF
zip -u build/lib/%{pkg_name}.jar META-INF/MANIFEST.MF

install -d -m 0755 $RPM_BUILD_ROOT%{_javadir}
cp -p build/lib/%{pkg_name}.jar $RPM_BUILD_ROOT%{_javadir}/%{pkg_name}.jar

install -d -m 0755 $RPM_BUILD_ROOT%{_javadocdir}/%{pkg_name}
cp -rp build/javadocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{pkg_name}

# POMs
install -d -m 0755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -p -m 0644 %{SOURCE2} $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{pkg_name}.pom
%{?scl:EOF}


%files
%{_javadir}/*
%doc docs
%doc LICENSE
%doc README.htm
%{_mavenpomdir}/*

%files javadoc
%doc docs
%doc LICENSE
%doc README.htm
%{_javadocdir}/%{pkg_name}

%changelog
* Tue Jul 26 2016 Mat Booth <mat.booth@redhat.com> - 1.0-12.1
- Auto SCL-ise package for rh-eclipse46 collection

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Gerard Ryan <galileo@fedoraproject.org> - 1.0-10
- Remove old maven depmap stuff

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Feb 24 2014 Gerard Ryan <galileo@fedoraproject.org> - 1.0-8
- Use java-headless instead of java

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jun 08 2012 Gerard Ryan <galileo@fedoraproject.org> - 1.0-4
- Fully removed dependency on xerces-j2

* Fri Jun 08 2012 Gerard Ryan <galileo@fedoraproject.org> - 1.0-3
- Added POM; removed dependency on xerces-j2

* Fri Jun 08 2012 Gerard Ryan <galileo@fedoraproject.org> - 1.0-2
- Added zip to BuildRequires

* Mon May 28 2012 Gerard Ryan <galileo@fedoraproject.org> - 1.0-1
- Initial packaging